Skip to content

List all collections

Request

You can fetch a list of all collections by making a GET request to https://api.intercom.io/help_center/collections.

Collections will be returned in descending order on the updated_at attribute. This means if you need to iterate through results then we'll show the most recently updated collections first.

Security
bearerAuth
Query
pageinteger

The page of results to fetch. Defaults to first page

Example:page=1
per_pageinteger

How many results to display per page. Defaults to 15

Example:per_page=15
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.11"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.11
curl -i -X GET \
  'https://api.intercom.io/help_center/collections?page=1&per_page=15' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.11'

Responses

Successful

Bodyapplication/json
typestringrequired

The type of the object - list.

Value:"list"
Example:"list"

Cursor-based pagination is a technique used in the Intercom API to navigate through large amounts of data. A "cursor" or pointer is used to keep track of the current position in the result set, allowing the API to return the data in small chunks or "pages" as needed.

total_countintegerrequired

A count of the total number of collections.

Example:1
dataArray of objects(Collection)required

An array of collection objects

Response
{ "type": "list", "data": [ {}, {} ], "total_count": 2, "pages": { "type": "pages", "page": 1, "per_page": 20, "total_pages": 1 } }